@import "/css/base.css";
@import "/xhref/nav/navigation.css";
@import "/xhref/footer/footer.css";
@import "/project-pages/xref/projectpage-images.css";


html{
  background-color: white;
}

main {
  background-color: white;
}


.hide{
  display: none;
}

.flex{
  display: flex;
}

.flex-column{
  display: flex;
  flex-direction: column;
}

.flex-spacebetween{
  display: flex;
  justify-content: space-between;
}


/* //////NAV components */
.caret-nav-top{
  background-image: url("/images/icons/backtotop.svg");
  background-repeat: no-repeat;
  height: 30px;
  width: 30px;
}

.backtotop{
  display: flex;
  position: fixed;
  flex-direction: column;
  right: 5vw;
  top: 90vh;
  cursor: pointer;
  z-index: 50;
}


/* //TABS */
.tabs-flex{
  display: flex;
  justify-content: space-between;
}

.tabs-shell{
  display: flex;
  margin: 25px 5vw 50px 5vw;
}

.tab{
  width: 24px;
  height: 24px;
  border: none;
  border-radius: 50px;
  background-color: #f3c546;
  margin-right: 20px;
}

.tab-inactive{
  background-color: #fafafa;

  box-shadow: 
      inset -2px -2px 7px 2px rgba(255, 255, 255, 0.45), 
      5px 5px 8px 2px rgba(94, 104, 121, .05), 
      2px 3px 5px 2px rgba(94, 104, 121, .1), 
      -5px -5px 0px 2px rgba(255, 255, 255, .75);

  transition: ease-in 300ms;
  cursor: pointer;
  margin-top: -1.5px;
}


/* //////GENERAL PAGE STRUCTURE */

.outer-shell{
  display: block;
  width: 100vw;
}
.pp-background{
  box-shadow: 0px 10px 15px 10px rgba(216, 216, 216, .35);
  margin-top: 2vw;
  padding: 0vw 0vw 0vw 0vw;
}
.mobile-project-category-header-shell {
  padding: 30px 5vw 15px 5vw;
}

.desktop-about-category-header-shell {
  display: none;
}

.project-section{
  margin: 0 5vw;
  padding-bottom: 5vw;
}

/* <!------CONTENT-GENERAL----------> */
.divider-line{
  display: none;
}

.accent-line {
  height: 15px;
  width: 40px;
  background-color: #f3c546;
  margin-top: 30px;
  margin-bottom: 30px;
}

.experience-line {
  height: 15px;
  width: 40px;
  background-color: #f3c546;
  margin-bottom: 20px;
}

.about-category{
  margin-top: -30px;
  margin-bottom: 50px;
}
/* <!------CONTENT-ABOUT ME----------> */
.about-content{
  display: flex;
  flex-direction: column;
}

.about-me-photo {
  margin-bottom: 30px;
  height: 65vw;
  width: 100%;
  align-items: stretch;
  background-image: url(/images/about/Weaver_Katherine_030421-33.webp);
  background-position-y: 40%;
  background-position-x: 50%;
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 3rem 3rem 3rem 0rem;
  /* box-shadow: 0px 10px 15px 10px rgba(216, 216, 216, .25); */
  opacity: .97;
}

.text-shell {
  width: 80vw;
  margin-bottom: 30px;
}

/* <!------CONTENT-Experience----------> */
.experience-details-shell{
  display: flex;
  flex-direction: column;
  margin-top: 30px;
}
.experience-content{
  display: flex;
  flex-direction: column;
  margin-bottom: 50px;
}
.resume-title-shell {
  width: 90vw;
  margin-bottom: 20px;
}
.resume-columns {
  width: 90vw;
}
.list-item{
  margin-bottom: 1rem;
}


/* <!------CONTENT-SHOWS AND AWARDS----------> */

.shows-list-item{
  margin-bottom: 1.75rem;
}
.shows-title-shell {
  width: 90vw;
  margin-bottom: 20px;
}

/* <!------CONTENT-SKILLSETS----------> */

.skillsets-title-shell {
  width: 90vw;
  margin-bottom: 40px;
}














/* --------------Breakpoints---------- */

@media (min-width: 480px) {
  .desktop-about-category-header-shell {
    display: flex;
    width: 50%;
    justify-content: flex-end;
    position: absolute;
    top: 105px;
    right: 5vw;
  }


  .project-section{
    margin: 0 5vw;
    padding-bottom: 5vw;
    min-height: 70vh;
  }
  .about-content{
    flex-direction: row;
  }
  .about-me-photo {
    height: 90vh;
    width: 40vw;
    margin-right: 5vw;
    background-position-y: 100%;
    background-position-x: 50%;
    background-size: cover;
    border-radius: 3rem 0rem 3rem 3rem;
  }

  /* //TABS */
  .tab{
    width: 18px;
    height: 18px;
    margin-right: 16px;
  }
  
  .tab-inactive:hover{
    background-color: #f3c546;
    transform: translateY(.5px);
    box-shadow: none;
  }

/* <!------CONTENT-GENERAL----------> */
  .divider-line{
    display: block;
    height: 1.5px;
    width: 100%;
    background-color: #e3e3e3;
    margin:0vw 0vw 2vw;
  }

  .experience-line {
    height: 12px;
  }


  /* <!------CONTENT-ABOUT ME----------> */
  .text-shell {
    padding: 0vw 0vw;
    width: 42vw;
    margin-bottom: 0px;
  }

  /* <!------CONTENT-EXPERIENCE----------> */
  .experience-content{
    flex-direction: row;
    margin-bottom: 30px;
  }
  .resume-title-shell {
    width: 24vw;
    margin-bottom: 0px;
  }
  .resume-columns {
    width: 28vw;
    margin-left: 3vw;
  }


/* <!------CONTENT-SHOWS AND AWARDS----------> */

  .shows-list-item{
    margin-bottom: 1.75rem;
  }
  .shows-title-shell {
    width: 16vw;
    margin-bottom: 20px;
  }

/* <!------CONTENT-SKILLSETS----------> */

  .skillsets-title-shell {
    width: 20vw;
    margin-bottom: 0px;
  }

  .no-margin{
    margin: 0;
  }
}


/* /// MARGINS ////// */
.margin-bottom-xs{
  margin-bottom: 5px;
}
.margin-bottom-s{
  margin-bottom: 20px;
}
.margin-bottom-m{
  margin-bottom: 40px;
}
.margin-bottom-l{
  margin-bottom: 60px;
}
.margin-bottom-xl{
  margin-bottom: 50px;
}
.margin-left-s{
  margin-bottom: 20px;
}
.margin-left-5vw{
  margin-left: 5vw;
}


@media (min-width: 900px) {
}

@media (min-width: 1140px) {
}


@media (min-width: 1440px) {

}


@media (min-width: 1600px) {
}
